Package com.ocient.jdbc.proto

# Interface PlanProtocol.AggregationOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.AggregationOperator`, `PlanProtocol.AggregationOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.AggregationOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `getForceOnePartition()` | Flag for runtime
`String` | `getInputCols​(int index)` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`com.google.protobuf.ByteString` | `getInputColsBytes​(int index)` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`int` | `getInputColsCount()` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`List<String>` | `getInputColsList()` | The columns to perform each aggregation on In the same order as ops (and same size) AGG_OP_COUNT_STAR has no input - so a value in that position is garbage
`String` | `getKeys​(int index)` | The GROUP BY columns - might be empty
`com.google.protobuf.ByteString` | `getKeysBytes​(int index)` | The GROUP BY columns - might be empty
`int` | `getKeysCount()` | The GROUP BY columns - might be empty
`List<String>` | `getKeysList()` | The GROUP BY columns - might be empty
`PlanProtocol.AggregationOperator.AggregationOp` | `getOps​(int index)` | The aggregation operations to perform
`int` | `getOpsCount()` | The aggregation operations to perform
`List<PlanProtocol.AggregationOperator.AggregationOp>` | `getOpsList()` | The aggregation operations to perform
`int` | `getOpsValue​(int index)` | The aggregation operations to perform
`List<Integer>` | `getOpsValueList()` | The aggregation operations to perform
`String` | `getOutputCols​(int index)` | The name to give to the columns created by each aggregation operation
`com.google.protobuf.ByteString` | `getOutputColsBytes​(int index)` | The name to give to the columns created by each aggregation operation
`int` | `getOutputColsCount()` | The name to give to the columns created by each aggregation operation
`List<String>` | `getOutputColsList()` | The name to give to the columns created by each aggregation operation
`String` | `getOutputColsTypes​(int index)` | The types for the outputCols, in the same order
`com.google.protobuf.ByteString` | `getOutputColsTypesBytes​(int index)` | The types for the outputCols, in the same order
`int` | `getOutputColsTypesCount()` | The types for the outputCols, in the same order
`List<String>` | `getOutputColsTypesList()` | The types for the outputCols, in the same order
`boolean` | `getUseVector()` | Flag for runtime

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getKeysList

List<String> getKeysList()

    The GROUP BY columns - might be empty

`repeated string keys = 1;`

### getKeysCount

int getKeysCount()

    The GROUP BY columns - might be empty

`repeated string keys = 1;`

### getKeys

String getKeys​(int index)

    The GROUP BY columns - might be empty

`repeated string keys = 1;`

### getKeysBytes

com.google.protobuf.ByteString getKeysBytes​(int index)

    The GROUP BY columns - might be empty

`repeated string keys = 1;`

### getOpsList

List<PlanProtocol.AggregationOperator.AggregationOp> getOpsList()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

### getOpsCount

int getOpsCount()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

### getOps

PlanProtocol.AggregationOperator.AggregationOp getOps​(int index)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

### getOpsValueList

List<Integer> getOpsValueList()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

### getOpsValue

int getOpsValue​(int index)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.AggregationOperator.AggregationOp ops = 2;`

### getInputColsList

List<String> getInputColsList()

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

### getInputColsCount

int getInputColsCount()

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

### getInputCols

String getInputCols​(int index)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

### getInputColsBytes

com.google.protobuf.ByteString getInputColsBytes​(int index)

    The columns to perform each aggregation on
    In the same order as ops (and same size)
    AGG_OP_COUNT_STAR has no input - so a value in that position is garbage

`repeated string inputCols = 3;`

### getOutputColsList

List<String> getOutputColsList()

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

### getOutputColsCount

int getOutputColsCount()

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

### getOutputCols

String getOutputCols​(int index)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

### getOutputColsBytes

com.google.protobuf.ByteString getOutputColsBytes​(int index)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 4;`

### getOutputColsTypesList

List<String> getOutputColsTypesList()

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

### getOutputColsTypesCount

int getOutputColsTypesCount()

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

### getOutputColsTypes

String getOutputColsTypes​(int index)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

### getOutputColsTypesBytes

com.google.protobuf.ByteString getOutputColsTypesBytes​(int index)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 5;`

### getForceOnePartition

boolean getForceOnePartition()

    Flag for runtime

`bool forceOnePartition = 6;`

### getUseVector

boolean getUseVector()

    Flag for runtime

`bool use_vector = 7;`